%define name dep.pl
%define version 1.35.0
%define release 1
%define prefix /usr

Summary: The dependency analyst.

Name: %{name}
Version: %{version}
Release: %{release}
Group: Utilities/System
Copyright: GPL
Requires: /usr/bin/ldd
BuildArchitectures: noarch

Source: dep.pl-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
This little script analyses the dynamic dependencies of a set
of files, and produces a full detailed report or such an output,
that can be passed to another program.

Comes handy when setting up a chrooted environment...

%changelog
* Wed Nov  9 2000 Gergely Nagy <8@free.bsd.hu>
- Updated for version 1.33.3
* Mon Oct 23 2000 Gergely Nagy <algernon@madhouse.lonyay.edu.hu>
- Updated for version 1.33.2
* Thu Feb  3 2000 Gergely Nagy <algernon@madhouse.lonyay.edu.hu>
- Initial RPM release

%prep

%setup
./configure --prefix=/usr --docdir=/usr/doc --mandir=/usr/man --sysconfdir=/etc

%build
make all

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make install prefix=%{prefix} DESTDIR=$RPM_BUILD_ROOT docdir=%{prefix}/doc/dep.pl mandir=%{prefix}/man sysconfdir=/etc

%files
%defattr(-,root,root)
%{prefix}/bin/dep.pl
%{prefix}/bin/vh-fix.pl
%{prefix}/bin/dep.pl-config
%{prefix}/doc/dep.pl/*
%{prefix}/man/man1/dep.pl.1*
%{prefix}/man/man1/vh-fix.pl.1*
%{prefix}/man/man1/dep.pl-config.1*
/etc/dep.pl/*

%clean
rm -r $RPM_BUILD_ROOT
